syslog_relay_client_free
syslog_relay_client_new
syslog_relay_client_start_service
syslog_relay_client_t
syslog_relay_error_t
syslog_relay_receive
syslog_relay_receive_cb_t
syslog_relay_receive_with_timeout
SYSLOG_RELAY_SERVICE_NAME
syslog_relay_start_capture
syslog_relay_start_capture_raw
syslog_relay_stop_capture

## syslog_relay_client_free()

LIBIMOBILEDEVICE_API syslog_relay_error_t syslog_relay_client_free | ( | syslog_relay_client_t | client | ) |

Disconnects a syslog_relay client from the device and frees up the syslog_relay client data.

Parameters

  client | The syslog_relay client to disconnect and free.

Returns
  SYSLOG_RELAY_E_SUCCESS on success, SYSLOG_RELAY_E_INVALID_ARG when client is NULL, or an SYSLOG_RELAY_E_* error code otherwise.